<div [class]="jobIndicatorClass ?? 'standard-job-indicator-container'">
  <mat-spinner
    color="primary"
    diameter="24"
    *ngIf="jobStatus === JOB_STATUS.Assembly
    || jobStatus === JOB_STATUS.Ready
    || jobStatus === JOB_STATUS.Scheduled
    || jobStatus === JOB_STATUS.Running">
  </mat-spinner>
  <ng-container *ngIf="jobStatus === JOB_STATUS.Completed">
    <ng-container [ngSwitch]="jobInputStatus && jobOutputStatus">
      <mat-icon
        *ngSwitchCase="JOB_VALIDATION_STATUS.Running"
        class="partial-done-status border-radius">
        done
      </mat-icon>
      <mat-icon
        *ngSwitchCase="JOB_VALIDATION_STATUS.Error"
        class="caution-status border-radius">
        priority_high
      </mat-icon>
      <mat-icon
        *ngSwitchDefault
        class="done-status border-radius">
        done
      </mat-icon>
    </ng-container>
  </ng-container>
  <mat-icon
    class="failed-status border-radius"
    *ngIf="jobStatus === JOB_STATUS.Failed
  || jobStatus === JOB_STATUS.Timeout
  || jobStatus === JOB_STATUS.Error
  || jobStatus === JOB_STATUS.Incomplete">
    clear
  </mat-icon>
</div>
